"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hashString = exports.decodeFileContent = void 0;

var _jsBase = require("js-base64");

var _crypto = _interopRequireDefault(require("crypto"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
Copyright 2019 Province of British Columbia

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at 

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Created by Patrick Simonian
*/

/**
 * decodes the b64 encoded content property of the github file
 * @param {Object} file the github file from the contents api
 * @returns {Object} the new file with content decoded
 */
const decodeFileContent = file => ({ ...file,
  content: _jsBase.Base64.decode(file.content)
});
/**
 * returns a md5 hash
 * @param {String} content the string to be hashed
 * @returns {String} the hash
 */


exports.decodeFileContent = decodeFileContent;

const hashString = content => _crypto.default.createHash('md5').update(content).digest('hex');

exports.hashString = hashString;